# BEGIN SourceDeps(oneline):
BuildRequires: perl(Curses.pm) perl(Locale/gettext.pm) perl(XML/Parser.pm) perl(encoding.pm)
# END SourceDeps(oneline)

Name:		console-setup
Version:	1.87
Release:	alt1_2
Summary:	Tools for configuring the console using X Window System key maps

Group:		File tools
# For a breakdown of the licensing, see COPYRIGHT, copyright, copyright.fonts and copyright.xkb
License:	GPLv2+ and MIT and Public Domain
URL:		http://packages.debian.org/cs/sid/console-setup
Source0:	http://ftp.de.debian.org/debian/pool/main/c/%{name}/%{name}_%{version}.tar.gz

# Fixes installing paths to Fedora style
Patch0:		console-setup-1.76-paths.patch
# Fixes FSF address, sent to upstream
Patch1:		console-setup-1.76-fsf-address.patch

Requires:	kbd
# require 'xkeyboard-config' to have X Window keyboard descriptions?

BuildArch:	noarch
Source44: import.info

%description
This package provides the console with the same keyboard configuration
scheme that X Window System has. Besides the keyboard, the package configures
also the font on the console.  It includes a rich collection of fonts and
supports several languages that would be otherwise unsupported on the console
(such as Armenian, Georgian, Lao and Thai).


%prep
%setup -q
%patch0 -p1 -b .paths
%patch1 -p1 -b .fsf-address


%build
make build-linux


%install
make prefix=$RPM_BUILD_ROOT install-linux
# we don't want another set of keyboard descriptions, we want to use descriptions from
# xkeyboard-config (require it?), so removing it
# or maybe have these from tarball it in optional subpackage?
rm -rf $RPM_BUILD_ROOT/etc/console-setup


%files
%doc README COPYRIGHT CHANGES copyright.fonts copyright.xkb Fonts/copyright
%{_bindir}/ckbcomp
%{_bindir}/setupcon
%config(noreplace) %{_sysconfdir}/default/console-setup
%config(noreplace) %{_sysconfdir}/default/keyboard
%{_datadir}/consolefonts
%{_datadir}/consoletrans
%{_mandir}/*/*


%changelog
* Thu Apr 25 2013 Igor Vlasenko <viy@altlinux.ru> 1.87-alt1_2
- initial fc import

